package com.cosmodas.EntCosmos;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

@Entity
@Table(name = "vinventarioAPapeleria")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VInventarioAPapeleria.findAll", query = "SELECT v FROM VInventarioAPapeleria v")
        , @NamedQuery(name = "VInventarioAPapeleria.findByCodigoPapeleria", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.codigoPapeleria = :codigoPapeleria")
        , @NamedQuery(name = "VInventarioAPapeleria.findByDescripcionPapeleria", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.descripcionPapeleria = :descripcionPapeleria")
        , @NamedQuery(name = "VInventarioAPapeleria.findByDepartamento", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.departamento = :departamento")
        , @NamedQuery(name = "VInventarioAPapeleria.findByNombreDepartamento", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.nombreDepartamento = :nombreDepartamento")
        , @NamedQuery(name = "VInventarioAPapeleria.findByExistenciaActual", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.existenciaActual = :existenciaActual")
        , @NamedQuery(name = "VInventarioAPapeleria.findByExistenciaAnterior", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.existenciaAnterior = :existenciaAnterior")
        , @NamedQuery(name = "VInventarioAPapeleria.findByExistenciaFisica", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.existenciaFisica = :existenciaFisica")
        , @NamedQuery(name = "VInventarioAPapeleria.findByCodigoClasificacion", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.codigoClasificacion = :codigoClasificacion")
        , @NamedQuery(name = "VInventarioAPapeleria.findByDescripcionClasificacion", query = "SELECT v FROM VInventarioAPapeleria v WHERE v.descripcionClasificacion = :descripcionClasificacion")})

public class VInventarioAPapeleria implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "codigo_papeleria")
    @Id
    private String codigoPapeleria;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 60)
    @Column(name = "descripcion_papeleria")
    private String descripcionPapeleria;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "departamento")
    private String departamento;

    @Column(name = "nombre_departamento")
    private String nombreDepartamento;

    @Basic(optional = false)
    @NotNull
    @Column(name = "existencia_actual")
    private int existenciaActual;

    @Basic(optional = false)
    @NotNull
    @Column(name = "existencia_anterior")
    private int existenciaAnterior;

    @Basic(optional = false)
    @NotNull
    @Column(name = "existencia_fisica")
    private int existenciaFisica;
    @Basic(optional = false)
    @NotNull
    @Column(name = "codigo_clasificacion")
    private String codigoClasificacion;

    @Basic(optional = false)
    @NotNull
    @Column(name = "descripcion_clasificacion")
    private String descripcionClasificacion;

    public VInventarioAPapeleria() {
    }

    public VInventarioAPapeleria(String codigoPapeleria, String descripcionPapeleria, String departamento, String nombreDepartamento, int existenciaActual, int existenciaAnterior, int existenciaFisica, String codigoClasificacion, String descripcionClasificacion) {
        this.codigoPapeleria = codigoPapeleria;
        this.descripcionPapeleria = descripcionPapeleria;
        this.departamento = departamento;
        this.nombreDepartamento = nombreDepartamento;
        this.existenciaActual = existenciaActual;
        this.existenciaAnterior = existenciaAnterior;
        this.existenciaFisica = existenciaFisica;
        this.codigoClasificacion = codigoClasificacion;
        this.descripcionClasificacion = descripcionClasificacion;
    }


    public String getCodigoPapeleria() {
        return codigoPapeleria;
    }

    public void setCodigoPapeleria(String codigoPapeleria) {
        this.codigoPapeleria = codigoPapeleria;
    }

    public String getNombreDepartamento() {
        return nombreDepartamento;
    }

    public void setNombreDepartamento(String nombreDepartamento) {
        this.nombreDepartamento = nombreDepartamento;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    public String getDescripcionPapeleria() {
        return descripcionPapeleria;
    }

    public void setDescripcionPapeleria(String descripcionPapeleria) {
        this.descripcionPapeleria = descripcionPapeleria;
    }

    public int getExistenciaActual() {
        return existenciaActual;
    }

    public void setExistenciaActual(int existenciaActual) {
        this.existenciaActual = existenciaActual;
    }

    public int getExistenciaAnterior() {
        return existenciaAnterior;
    }

    public void setExistenciaAnterior(int existenciaAnterior) {
        this.existenciaAnterior = existenciaAnterior;
    }

    public int getExistenciaFisica() {
        return existenciaFisica;
    }

    public void setExistenciaFisica(int existenciaFisica) {
        this.existenciaFisica = existenciaFisica;
    }

    public String getCodigoClasificacion() {
        return codigoClasificacion;
    }

    public void setCodigoClasificacion(String codigoClasificacion) {
        this.codigoClasificacion = codigoClasificacion;
    }

    public String getDescripcionClasificacion() {
        return descripcionClasificacion;
    }

    public void setDescripcionClasificacion(String descripcionClasificacion) {
        this.descripcionClasificacion = descripcionClasificacion;
    }
    @Override
    public int hashCode() {
        int hash = 0;
        hash += (codigoPapeleria != null ? codigoPapeleria.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof VInventarioAPapeleria)) {
            return false;
        }
        VInventarioAPapeleria other = (VInventarioAPapeleria) object;
        if ((this.codigoPapeleria == null && other.codigoPapeleria != null) || (this.codigoPapeleria != null && !this.codigoPapeleria.equals(other.codigoPapeleria))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.EntCosmos[ codigoPapeleria=" + codigoPapeleria + " ]";
    }
}
